summaryrefslogtreecommitdiffstats
path: root/source/l/python-docutils
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/python-docutils')
-rwxr-xr-xsource/l/python-docutils/python-docutils.SlackBuild93
-rw-r--r--source/l/python-docutils/slack-desc19
2 files changed, 112 insertions, 0 deletions
diff --git a/source/l/python-docutils/python-docutils.SlackBuild b/source/l/python-docutils/python-docutils.SlackBuild
new file mode 100755
index 000000000..d52853b7b
--- /dev/null
+++ b/source/l/python-docutils/python-docutils.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Copyright 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017 Heinz Wiesinger, Amsterdam, NL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=python-docutils
+VERSION=${VERSION:-$(echo docutils-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+SRCNAM=docutils
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build python3 version first, so binaries in /usr/bin get overwritten
+# by the python2 versions. We prefer these ones for the time being.
+
+python3 setup.py build --build-lib=build/python3 install --root=$PKG || exit 1
+python setup.py build --build-lib=build/python install --root=$PKG || exit 1
+
+cd $PKG/usr/bin
+ for i in *.py; do
+ ln -s "$i" "$PKG/usr/bin/$(basename $i .py)"
+ done
+cd -
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a *.txt PKG-INFO \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc/$PKGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+# If there's a HISTORY.txt, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r HISTORY.txt ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat HISTORY.txt | head -n 1000 > $DOCSDIR/HISTORY.txt
+ touch -r HISTORY.txt $DOCSDIR/HISTORY.txt
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/python-docutils/slack-desc b/source/l/python-docutils/slack-desc
new file mode 100644
index 000000000..6f72da46c
--- /dev/null
+++ b/source/l/python-docutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-docutils: python-docutils (Python Documentation Utilities)
+python-docutils:
+python-docutils: Docutils is an open-source text processing system for processing
+python-docutils: plaintext documentation into useful formats, such as HTML, LaTeX,
+python-docutils: man-pages, open-document or XML. It includes reStructuredText, the
+python-docutils: easy to read, easy to use, what-you-see-is-what-you-get plaintext
+python-docutils: markup language.
+python-docutils:
+python-docutils: Homepage: http://docutils.sourceforge.net/
+python-docutils:
+python-docutils: